# Method: partners.devices.unclaim

- [HTTP request](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices/unclaim#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices/unclaim#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices/unclaim#body.request_body)
  - [JSON representation](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices/unclaim#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices/unclaim#body.response_body)
- [Authorization Scopes](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices/unclaim#body.aspect)

Unclaims a device from a customer and removes it from zero-touch enrollment.

### HTTP request

`POST https://androiddeviceprovisioning.googleapis.com/v1/partners/{partnerId}/devices:unclaim`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `partnerId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the reseller partner. |

### Request body

The request body contains data with the following structure:

| JSON representation ||
|---|---|
| ``` { "sectionType": enum (`https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices#DeviceProvisioningSectionType`), // Union field `device_to_unclaim` can be only one of the following: "deviceId": string, "deviceIdentifier": { object (`https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices#DeviceIdentifier`) } // End of list of possible types for union field `device_to_unclaim`. } ``` |

| Fields ||
|---|---|---|
| `sectionType` | ``enum (`https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices#DeviceProvisioningSectionType`)`` Required. The section type of the device's provisioning record. |
| Union field `device_to_unclaim`. Required. The device to unclaim. `device_to_unclaim` can be only one of the following: |||
| `deviceId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The device ID returned by `devices.claim`. |
| `deviceIdentifier` | ``object (`https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices#DeviceIdentifier`)`` Required. The device identifier you used when you claimed this device. |

### Response body

If successful, the response body is empty.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidworkprovisioning`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).